*{
    margin: 0;
    padding: 0;
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image:url(./images/background-pattern.svg);
}

h2{
    font-family: 'Special Elite', cursive;
    text-align: center;
}

strong{
    font-size: 30px;
}

.logo{
    padding-top: 30px;
    padding-bottom: 15px;
}

.main__flagContainer{
    display: flex;
    flex-direction: column;
    justify-items: center;
    padding-bottom: 30px;
}

.main__flagContainer-firstRow, 
.main__flagContainer-secondRow{
    display: flex;
    flex-direction: row;
}

.divFlag{
    display: flex;
    justify-content: center;
    width: 50%;
}

.flag{
    width: auto; 
    height: 150px;
    margin: 20px;
    cursor: pointer;
}

.winnerMessage,
.loserMessage{
    font-size: 50px;
    font-family: 'Coda Caption', sans-serif;
    text-align: center;
}

.newRoundButton{
    order: 3;
    width: 50%;
    align-self: center;
    cursor: pointer;
}

.textAnimation{
    animation:blur 2s ease-out infinite;
  text-shadow:0px 0px 5px #fff,
      0px 0px 7px #ff0000;
}


/* Animations */
.scale-up-center {
	-webkit-animation: scale-up-center 0.4s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
	        animation: scale-up-center 0.4s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}

@-webkit-keyframes scale-up-center {
    0% {
      -webkit-transform: scale(0.5);
              transform: scale(0.5);
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
    }
  }
  @keyframes scale-up-center {
    0% {
      -webkit-transform: scale(0.5);
              transform: scale(0.5);
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
    }
  }
  
  @keyframes blur{
    from{
        text-shadow:0px 0px 10px #fff,
        0px 0px 10px #fff, 
        0px 0px 25px #fff,
        0px 0px 25px #fff,
        0px 0px 25px #fff,
        0px 0px 25px #fff,
        0px 0px 25px #fff,
        0px 0px 25px #fff,
        0px 0px 50px #fff,
        0px 0px 50px #fff,
        0px 0px 50px #ff0099,
        0px 0px 150px #ff0099,
        0px 10px 100px #ff0099,
        0px 10px 100px #ff0099,
        0px 10px 100px #ff0099,
        0px 10px 100px #ff0099,
        0px -10px 100px #ff0099,
        0px -10px 100px #ff0099;
        }
  }
  @media only screen and (max-width: 600px) {
    .main__flagContainer-firstRow, 
        .main__flagContainer-secondRow{
            display: flex;
            flex-direction: column;
            align-items: center;
        }
    .logo{
        max-width: 250px;
    }

    .newRoundButton{
        min-height: 50px;
    }

    .loserMessage{
        text-align: center;
        max-width: 350px;
    }
  }
